%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_21,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p6(X2) )
     => ( p2(X1,X2)
        | equal(X1,X2)
        | p2(X2,X1) ) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p1(X3,X1,X4) )
     => p1(X3,X2,X4) )   )).

input_formula(formula_24,hypothesis,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p3(X1,X4)
        & p3(X1,X5)
        & p4(X1,X4,X5)
        & p5(X1,X2,X4)
        & p5(X1,X3,X5)
        & p2(X5,X4) )
     => ~ p2(X2,X3) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1,X2)
        & equal(X1,X2) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1,X2)
        & p6(X1) )
     => p6(X2) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( p4(X1,X2,X3)
     => p4(X1,X3,X2) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p5(X1,X3,X4) )
     => p5(X2,X3,X4) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p4(X1,X3,X4) )
     => p4(X2,X3,X4) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p1(X3,X4,X1) )
     => p1(X3,X4,X2) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p5(X3,X4,X1) )
     => p5(X3,X4,X2) )   )).

input_formula(formula_25,hypothesis,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p3(X1,X4)
        & p3(X1,X5)
        & p4(X1,X4,X5)
        & p1(X1,X2,X4)
        & p1(X1,X3,X5)
        & p2(X5,X4) )
     => ~ p2(X2,X3) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p2(X3,X1) )
     => p2(X3,X2) )   )).

input_formula(formula_2,axiom,(
    ! [X1,X2] : 
      ( equal(X1,X2)
     => equal(X2,X1) )   )).

input_formula(formula_26,conjecture,(
    ! [X1,X2,X3,X4,X5,X6,X7] : 
      ( ( p3(X1,X6)
        & p3(X1,X7)
        & p4(X1,X6,X7)
        & p1(X1,X2,X6)
        & p1(X1,X3,X7)
        & p5(X1,X4,X6)
        & p5(X1,X5,X7)
        & p2(X5,X4) )
     => ~ p2(X2,X3) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p1(X1,X3,X4) )
     => p1(X2,X3,X4) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p4(X3,X1,X4) )
     => p4(X3,X2,X4) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p2(X1,X3) )
     => p2(X2,X3) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p3(X3,X1) )
     => p3(X3,X2) )   )).

input_formula(formula_3,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & equal(X2,X3) )
     => equal(X1,X3) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X2] : 
      ~ ( p2(X1,X2)
        & p2(X2,X1) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1,X1)   )).

input_formula(formula_23,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( p3(X1,X4)
        & p3(X1,X5)
        & p5(X1,X2,X4)
        & p5(X1,X3,X5)
        & equal(X4,X5) )
     => equal(X2,X3) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p4(X3,X4,X1) )
     => p4(X3,X4,X2) )   )).

input_formula(formula_20,axiom,(
    ! [X2,X1] : 
      ( p3(X2,X1)
     => p6(X1) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1,X2)
        & p3(X1,X3) )
     => p3(X2,X3) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1,X2)
        & p5(X3,X1,X4) )
     => p5(X3,X2,X4) )   )).
%--------------------------------------------------------------------------
